package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

public class RenderRelatorioLinhaOperacionalRuta implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Ruta ruta = (Ruta) o;

		Listcell lc = new Listcell(ruta.getRutaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getPrefixo());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getDescruta());
		lc.setParent(lstm);

		OrgaoConcedente orgaoConcedente = ruta.getOrgaoConcedente();
		if (orgaoConcedente != null) {
			lc = new Listcell(orgaoConcedente.getDescOrgao());
		} else {
			lc = new Listcell("-");
		}
		lc.setParent(lstm);

		Button btn = new Button();

		lc = new Listcell();
		lc.setParent(lstm);

		btn.setWidth("16");
		btn.setHeight("16");
		btn.setImage("/gui/img/remove.png");

		btn.addEventListener("onClick", new EventListener() {
			@Override
			public void onEvent(Event event) throws Exception {
				MyListbox listBox = (MyListbox) event.getTarget().getParent().getParent().getParent();
				Listitem listItem = (Listitem) event.getTarget().getParent().getParent();
				listBox.removeItem((Ruta) listItem.getAttribute("data"));
			}
		});

		lc.appendChild(btn);

		lstm.setAttribute("data", ruta);
	}
}
